#
# spec file for package perl-Syslog (Version 0.93)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Convert-BER perl-Digest-MD5 perl-URI
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Convert-BER perl-Digest-MD5 perl-URI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Syslog
Copyright:    Copyright (c) 1999 SuSE Gmbh Nuernberg, Germany.
Group:        Development/Languages/Perl
Obsoletes:    perl_log
Provides:     perl_log
Autoreqprov:  on
Summary:      Perl syslog interface
Version:      0.93
Release:      116
Source:       Syslog-0.93.tar.gz
BuildRoot:    /var/tmp/perl-Syslog

%description
Perl interface to syslog

Authors:
--------
    Marcus Harnisch <marcus.harnisch@gmx.net>

SuSE series: perl

%prep
%setup -n Syslog-0.93
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
make CFLAGS="$RPM_OPT_FLAGS" PREFIX=$RPM_BUILD_ROOT/usr \
     BUILDROOTPREFIX=$RPM_BUILD_ROOT \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
  sed s:$RPM_BUILD_ROOT::g > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Syslog
rm -f $RPM_BUILD_ROOT/$installarchlib/perllocal.pod
( cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Unix/Syslog
  cat .packlist | sed s:$RPM_BUILD_ROOT::g | sort -u > .packlist )

%files
/usr/lib/perl5/site_perl/5.*/*-linux/Unix
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Unix/Syslog
%{_mandir}/man3/Unix::Syslog.3pm.gz
/var/adm/perl-modules/perl-Syslog
%doc TODO Changes Artistic README

%changelog -n perl-Syslog
* Thu Nov 16 2000 - ro@suse.de
- use BuildRoot
- fix neededforbuild
* Thu Nov 16 2000 - ro@suse.de
- renamed package perl_log to perl-Syslog
* Wed May 24 2000 - ug@suse.de
- added to distribution
